Get a list of your recently edited charts
GET
https://api.datawrapper.de/v3/me/recently-edited-charts Requires scopes user:read *and* chart:read.
Example Request
curl --request GET \
--url 'https://api.datawrapper.de/v3/me/recently-edited-charts?workspace=example-workspace&limit=100&offset=0' \
--header 'Authorization: Bearer <YOUR_TOKEN_HERE>'# 1 more query parameter available — see below.Query Parameters
| Name | Type | Allowed values | Required | Description |
|---|---|---|---|---|
limit | integer | 1 or more Default: 100 | No | Maximum items to fetch. Useful for pagination. |
offset | integer | 0 or more Default: 0 | No | Number of items to skip. Useful for pagination. |
minLastEditStep | integer | 0 to 5 Default: 0 | No | Filter visualizations by the last editor step they've been opened in (1=upload, 2=describe, 3=visualize, etc) |
workspace | string | Any | Yes | Filter by workspace slug. |
Response
| Field | Type | Required | Description |
|---|---|---|---|
list | object[] | No | |
list.id | string | No | ID of the visualization |
list.title | string | No | Title of the visualization |
list.publicId | string | No | Public ID of the visualization. May be different from the internal ID, if *hash publishing* is enabled. |
list.authorId | integer | No | ID of user that created the visualization. |
list.organizationId | string | No | ID of the team that the visualization is located in. If null, visualization is private. |
list.folderId | integer | No | ID of the folder that the visualization is located in. If null, visualization is in the root of a team, or your private archive. |
list.folder | object | No | |
list.folder.name | string | No | User-defined folder name |
list.language | string | No | Visualization language (output locale), e.g en-US |
list.theme | string | No | ID of theme applied to the visualization |
list.type | string | No | Type of visualization, e.g d3-lines, d3-maps-choropleth, tables |
list.createdAt | string | No | Time and date when the visualization was created. |
list.lastModifiedAt | string | No | Time and date when the visualization was last edited. |
list.publishedAt | string | No | Time and date when the visualization was last published. null, if the visualization has not been published yet. |
list.lastEditStep | integer | No | A number encoding which of the editor steps this chart has been edited in so far. 5 = published. |
list.publicVersion | integer | No | Indicates how many times a visualization has been published. |
list.publicUrl | string | No | URL of published visualization. |
list.author | object | No | |
list.author.name | string | No | Name of the user who created the visualization |
list.author.email | string | No | Email address of the user who created the visualization |
list.author.avatar | string | No | URL pointing to the user avatar |
list.author.color | string | No | Color chosen by the user |
list.thumbnails | object | No | |
list.thumbnails.full | string | No | URL pointing to the most recently generated preview thumbnail for the visualization. (Image includes header & footer). |
list.thumbnails.plain | string | No | URL pointing to the most recently generated preview thumbnail for the visualization. (Image is just the visualization, without header & footer). |
list.url | string | No | API URL for the visualization, can be used to retreive additional information, including its metadata. |
list.metadata | object | No | All of the visualization's settings. |
list.guestSession | string | No | Guest session id |
list.customFields | object | No | |
list.downloadImageFilename | string | No | Download image filename |
list.downloadDataFilename | string | No | Download data filename |
list.sourceImageFilenames | object | No | Source image filenames |
list.sourceImageFilenames.png | string | No | |
list.sourceImageFilenames.svg | string | No | |
list.sourceImageFilenames.pdf | string | No | |
list.readonlyKeys | string[] | No | |
list.openComments | integer | No | Number of comments on the visualization |
list.workspaceTeamSettings | object | No | Frontend-allowed team and workspace settings |
list.workspace | string | No | |
list.deleted | boolean | No | Indicates if the visualization is in the trash. |
list.deletedAt | string | No | Time and date when the visualization was moved to the trash. |
list.deletionInDays | number | No | Number of days until the visualization will be permanently deleted. |
list.deletedBy | object | No | User who moved the visualization to the trash. |
list.deletedBy.name | string | No | Name of the user who moved the visualization to the trash. |
list.deletedBy.email | string | No | Email address of the user who moved the visualization to the trash. |
list.deletedBy.avatar | string | No | URL pointing to the user avatar |
list.deletedBy.color | string | No | Color chosen by the user |
total | integer | No | |
next | string | No |